function g = g(x)
  x_1 = x(1);
  x_2 = x(2);
  x_3 = x(3);
  x_4 = x(4);
  x_5 = x(5);

  ## Qing
  g = [
       4 * x_1 * (x_1 ** 2 - 1);
       4 * x_2 * (x_2 ** 2 - 2);
       4 * x_3 * (x_3 ** 2 - 3);
       4 * x_4 * (x_4 ** 2 - 4);
       4 * x_5 * (x_5 ** 2 - 5);
  ];

endfunction
